Package com.smartgwt.client.types

# Enum JSONInstanceSerializationMode

java.lang.Object
java.lang.Enum<JSONInstanceSerializationMode>
com.smartgwt.client.types.JSONInstanceSerializationMode

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<JSONInstanceSerializationMode>`, `Constable`

public enum JSONInstanceSerializationMode extends Enum<JSONInstanceSerializationMode> implements ValueEnum
Controls the output of the JSONEncoder when instances of Smart GWT classes (eg a ListGrid) are included in the data to be serialized.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LONG`
  instances will be shown as a specially formatted JSON listing the most relevant properties of the instance.
  `SHORT`
  instances will be shown in a shorter format via a call to `SC.echoLeaf()`.
  `SKIP`
  no output will be shown for instances (as though they were not present in the data).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static JSONInstanceSerializationMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static JSONInstanceSerializationMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LONG

    public static final JSONInstanceSerializationMode LONG
    instances will be shown as a specially formatted JSON listing the most relevant properties of the instance. Result is not expected to decode()/eval() successfully if instances are included.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "long".

  - ### SHORT

    public static final JSONInstanceSerializationMode SHORT
    instances will be shown in a shorter format via a call to `SC.echoLeaf()`. Result is not expected to decode()/eval() successfully if instances are included.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "short".

  - ### SKIP

    public static final JSONInstanceSerializationMode SKIP
    no output will be shown for instances (as though they were not present in the data). Result should decode()/eval() successfully (depending on other settings)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "skip".

- ## Method Details

  - ### values

    public static JSONInstanceSerializationMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static JSONInstanceSerializationMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`